package AltFail;
use Mojo::Base 'Mojolicious';

# This method will run once at server start
sub startup {
  my $self = shift;

  # Documentation browser under "/perldoc"
  $self->plugin('PODRenderer');

  # Router
  my $r = $self->routes;

  # Normal route to controller
  $r->get('/')->to('example#welcome');

  #this route works:
  $r->any('/view/:id')->to('example#view');

  # According to the docs here: http://mojolicio.us/perldoc/Mojolicious/Guides/Routing#More_convenient_routes
  # this route should work, but it does not
  $r->any('/view2/:id', id => [qw(1 2 3)])->to('example#view');

  # for completeness sake, we'll explicitly restrict on format. Still fails.
  $r->any('/view3/:id', format => [qw(txt)])->to('example#view');

  # finally, setting up the route this way succeeds, as expected:
  $r->route('/view4/:id', id => [qw(1 2 3)])->to('example#view');

}

1;
